Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528151 - postfix initscript lsb compliance
Summary: postfix initscript lsb compliance
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 557756 584377
TreeView+ depends on / blocked
 
Reported: 2009-10-09 11:33 UTC by Yulia Kopkova
Modified: 2010-04-21 13:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 557756 584377 (view as bug list)
Environment:
Last Closed: 2010-01-29 13:20:05 UTC
Type: ---


Attachments (Terms of Use)

Description Yulia Kopkova 2009-10-09 11:33:15 UTC
Description of problem:

According to https://fedoraproject.org/wiki/Packaging/SysVInitScript postfix
component init script have a few lsb compliance issues:

1. if program is dead (stopped) and /var/spool/postfix/pid/master.pid file exists init script should return code "1" for status action
# service postfix start
Starting postfix:                                          [  OK  ]
# ps ax | grep postfix
 9659 ?        Ss     0:00 /usr/libexec/postfix/master
# kill -11 9659
# ls -l /var/spool/postfix/pid/master.pid 
-rw-------. 1 root root 33 2009-10-09 11:18 /var/spool/postfix/pid/master.pid
# service postfix status ; echo $?
master is stopped
3
now: 3
expected: 1

2. if program is dead (stopped) and /var/lock/subsys/postfix exists init script should return code "2" for status action
# service postfix stop
# touch /var/lock/subsys/postfix
# service postfix status ; echo $?
master is stopped
3
now: 3
expected: 2

3. Init script should return code "4" if restarting service under
nonprivileged user:
# su testuserqa -c "service postfix restart"; echo $?
Shutting down postfix:                                     [FAILED]
Starting postfix:                                          [FAILED]
1
now: 1 
expected: 4

Comment 1 Bug Zapper 2009-11-16 13:26:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Miroslav Lichvar 2010-01-29 13:20:05 UTC
Fixed in postfix-2.6.5-3.fc13.


Note You need to log in before you can comment on or make changes to this bug.